1. Cydget

    OP Cydget GBAtemp Fan
    Member

    Joined:
    Oct 1, 2015
    Messages:
    493
    Country:
    United States
    I have a N3ds set up with emunand on 9.2, but I fail to see the reason why I should upgrade it to 9.5. As far as I can tell, it still wont let you play 9.6+ games without crypto fix, so why are people upgrading?
     
  2. Urbanshadow

    Urbanshadow GBAtemp Maniac
    Member

    Joined:
    Oct 16, 2015
    Messages:
    1,490
    Country:
    Stability reasons. Maximum stability reached and such. jk.
     
  3. Xenon Hacks

    Xenon Hacks GBAtemp Guru
    Member

    Joined:
    Nov 13, 2014
    Messages:
    7,413
    Country:
    United States
    Amiibo support, badge support , run carts that need higher firms (if that's your thing), and the amazing "stability".
     
  4. Cydget

    OP Cydget GBAtemp Fan
    Member

    Joined:
    Oct 1, 2015
    Messages:
    493
    Country:
    United States
    lol, I use none of those because all my games are really outdated, and I also broke my amiibo nfc reader somehow. Thanks for the quick response.
     
  5. Tony_93

    Tony_93 GBAtemp Addict
    Member

    Joined:
    Jun 13, 2015
    Messages:
    2,453
    Country:
    United States
    There are lots of games that need 9.4

    If you are in a lower emunand everytime you run one of them you will face a black wall if the cia isn't region spoofed.

    That is emunand 9.5 really good for.
     
    Xenon Hacks likes this.
  6. GaaraPrime

    GaaraPrime GBAtemp Advanced Fan
    Member

    Joined:
    Apr 11, 2007
    Messages:
    790
    Country:
    India
    Dude, am still on my original v9.0 Emunand that I created using my sysnand v9.0. I don't have Amiibos. Everything works great. There is no need to upgrade, unless you want those extra features :)
     
  7. Tony_93

    Tony_93 GBAtemp Addict
    Member

    Joined:
    Jun 13, 2015
    Messages:
    2,453
    Country:
    United States
    Try to play the only retail N3DS exclusive and then come back and tell me if there is no need for an upgrade...
     
  8. GaaraPrime

    GaaraPrime GBAtemp Advanced Fan
    Member

    Joined:
    Apr 11, 2007
    Messages:
    790
    Country:
    India
    I have so much backlog of old games, I have YET to even bother with the newer ones :D Yes, of course what you said is true :)

    For now, I've been GOING CRAZY with PC games with my GTX 970 :D Barely get time to play my N3DS :)
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - emuNand, great,